Subject: Assigned to Group - Re: I don’t pay for samples
From: Les Mills Virtual App - JP <[email-masked]>
To: [email-masked], [email-masked]
Date: Fri, 12 Mar 2021 03:56:32 +0000

Hi  A new ticket has been assigned to your group "Level 1". Please follow the link below to view the ticket.  Re: I don’t pay for samples 

 Dear Manager, Google brought me to your site when I was doing my research. Our company update a new waist brace. Please check photo. Sample could be provided on request. We hope to be favored with a reply with the least delay. Best Regards, Eileen [email-masked]

 https://lesmillsvirtualapp.freshdesk.com/helpdesk/tickets/4370